const cpx = require("cpx");

function Wsl2Sync(options) {
  if (typeof options === "string") {
    options = { to: options };
  }
  const { from, to } = options;
  return {
    configWebpack({config}) {
      config.plugin("RemaWsl2SyncPlugin").use(class {
        apply(compiler) {
            compiler.hooks.afterEmit.tapAsync("_", (_, cb) =>{
              cpx.copy(from || [config.output.store.get('path'),'**'].join('/'), to, (err) => {
                if (err) console.error(err);
                cb();
              })
            }
          )
        }
      });
    },
  };
}

module.exports = Wsl2Sync;